Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusDataAvailableEventDescriptorImpl

    java.lang.Object
      com.sun.management.oss.impl.EventPropertyDescriptorImpl
          com.sun.management.oss.impl.util.IRPEventPropertyDescriptorImpl
              com.sun.management.oss.impl.pm.opstatus.PmIRPEventPropertyDescriptorImpl
                  com.sun.management.oss.impl.pm.opstatus.OperationalStatusDataAvailableEventDescriptorImpl

All Implemented Interfaces:
  EventPropertyDescriptor, IRPEventPropertyDescriptor, OperationalStatusDataAvailableEventDescriptor, java.io.Serializable

public class OperationalStatusDataAvailableEventDescriptorImpl
extends PmIRPEventPropertyDescriptorImpl
implements OperationalStatusDataAvailableEventDescriptor

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusDataAvailableEventDescriptor
`OSS_EVENT_TYPE_VALUE`

Fields inherited from interface com.sun.management.oss.util.IRPEventPropertyDescriptor
`OSS_EVENT_TIME_PROP_NAME, OSS_EVENT_TIME_PROP_TYPE, OSS_MANAGED_ENTITY_PK_PROP_NAME, OSS_MANAGED_ENTITY_PK_PROP_TYPE, OSS_MANAGED_ENTITY_TYPE_PROP_NAME, OSS_MANAGED_ENTITY_TYPE_PROP_TYPE`

Fields inherited from interface com.sun.management.oss.EventPropertyDescriptor
`BOOLEAN, BYTE, DOUBLE, FLOAT, INT, LONG, OSS_APPLICATION_DN_PROP_NAME, OSS_APPLICATION_DN_PROP_TYPE, OSS_EVENT_TYPE_PROP_NAME, OSS_EVENT_TYPE_PROP_TYPE, SHORT, STRING`

Constructor Summary
`OperationalStatusDataAvailableEventDescriptorImpl()`

Method Summary
`java.lang.String` | `getEventType()` Get the name of the event type associated with the descriptor.
`Event` | `makeEvent()` Factory for Event associated with that Event Descriptor.
`OperationalStatusDataAvailableEvent` | `makeOperationalStatusDataAvailableEvent()` Creates a new instance of the `OperationalStatusDataAvailableEvent` interface.

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.PmIRPEventPropertyDescriptorImpl
`makeIRPEvent`

Methods inherited from class com.sun.management.oss.impl.EventPropertyDescriptorImpl
`getPropertyNames, getPropertyTypes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.util.IRPEventPropertyDescriptor
`makeIRPEvent`

Methods inherited from interface com.sun.management.oss.EventPropertyDescriptor
`getPropertyNames, getPropertyTypes`

Constructor Detail

### OperationalStatusDataAvailableEventDescriptorImpl

    public OperationalStatusDataAvailableEventDescriptorImpl()

Method Detail

### makeOperationalStatusDataAvailableEvent

    public OperationalStatusDataAvailableEvent makeOperationalStatusDataAvailableEvent()

  Description copied from interface: `OperationalStatusDataAvailableEventDescriptor`
  Creates a new instance of the `OperationalStatusDataAvailableEvent` interface.

  Specified by:
    `makeOperationalStatusDataAvailableEvent` in interface `OperationalStatusDataAvailableEventDescriptor`
  Returns:
    OperationalStatusDataAvailableEvent The created object. The object is empty.

### getEventType

    public java.lang.String getEventType()

  Description copied from interface: `EventPropertyDescriptor`
  Get the name of the event type associated with the descriptor.

  Specified by:
    `getEventType` in interface `EventPropertyDescriptor`
  Overrides:
    `getEventType` in class `EventPropertyDescriptorImpl`

### makeEvent

    public Event makeEvent()

  Description copied from interface: `EventPropertyDescriptor`
  Factory for Event associated with that Event Descriptor.

  Specified by:
    `makeEvent` in interface `EventPropertyDescriptor`
  Overrides:
    `makeEvent` in class `PmIRPEventPropertyDescriptorImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD